Wallet updated to 1.4.5.3. Should work without issues.
Login with existing account